#!/usr/bin/perl


require "vars.pl";

# Comment this out after testing
#$RoundsDir = "rounds_old";

$curdir = `/bin/pwd`;
chomp $curdir;
chdir "$GameroomDir";
require "cgi.pl";
require "html.pl";
require "datetime.pl";
require "cookie.pl";
require "data.pl";
require "time.pl";

%c = &CookieRead();

if ($c{sid} ne ""){
  %r = &DataGetSessionRec($c{sid});
}

chdir "$curdir";

CgiPrintHeader();

# look for files that begin with r followed by a number
#   like r1pairs, r1sched, r1results

$gmt = "GMT";
if ($r{id} ne ""){ $gmt = "YLT"; }

for($r=1;$r<10;$r++){
  $fn = "";
  $roundName = "";
  if (-e "$RoundsDir/r${r}pairs"){ $fn = "r${r}pairs"; }
  if (-e "$RoundsDir/r${r}sched"){ $fn = "r${r}sched"; }
  if (-e "$RoundsDir/r${r}results"){ $fn = "r${r}results"; }
  if ($fn eq ""){ last; }
  $gameRows = "";
  @gameRows = ();
  $clickOnBoard = "";
  $gameTimes = "";
  open(FH, "<$RoundsDir/$fn");
  foreach $l (<FH>){
    chomp $l;
    if ($roundName eq ""){
      ($roundName) = ($l =~ m/^## *(.*)$/);
    }
    ($win1, $win2, $w, $wr, $b, $br, $s, $ts, $why, $ply, $gid) = ($l =~ m/^(\w+) (\w+) \[(\w+) (\d+) vs (\w+) (\d+)\] (\d+) (\d+) (\w) (\d+) (\d+)/);
    if ($w eq ""){
      ($win1, $w, $wr, $b, $br, $s, $ts, $why, $ply, $gid) = ($l =~ m/^(\w+) \[(\w+) (\d+) vs (\w+) (\d+)\] (\d+) (\d+) (\w) (\d+) (\d+)/);
    }
    if ($w eq ""){
      ($win1, $w, $wr, $b, $br, $s, $ts, $why, $ply, $gid) = ($l =~ m/^(\w+) \[(\w+) (\d+) vs (\w+) (\d+)\]/);
    }
    if ($w eq ""){
      ($w, $wr, $b, $br, $s, $ts) = ($l =~ m/^\[(\w+) (\d+) vs (\w+) (\d+)\] (\d+) (\d+)/);
    }
    if ($w eq ""){
      ($w, $wr, $b, $br) = ($l =~ m/^\[(\w+) (\d+) vs (\w+) (\d+)\]/);
    }
    if ($w eq ""){ next; }

    $wwin = ""; $bwin = "";
    if ($win1 eq $w){
      $wwin = "*";
    }
    if ($win1 eq $b){
      $bwin = "*";
    }
    if ($win2 ne ""){
      $wwin = "="; $bwin = "=";
    }

#    $scheduled = ($ts>0) ? &getDayHrMin($ts - $r{timezone}) : '';
    $scheduled = ($ts>0) ? &getWhen($ts - $r{timezone}) : '';
    $scheduled = ($ply ne "") ? "<a href='javascript:comPage($gid)'>$why $ply</a>" : $scheduled;

    if ($win1 ne ""){
      $clickOnBoard = 1;
    }
    else{
      if ($ts>0){ $gameTimes = 1; }
    }


    $board = <<EOM;
<table background="/arimaa/graphics/BoardWithPiecesIcon.jpg" width=50 height=50 border=0 cellspacing=0 cellpadding=0>
  <tr>
    <td >
<a href="javascript:openGame('$gid','v','w');" >
  <img src="/arimaa/graphics/animals/blank.gif" width=25 height=49 border=0>
</a>
    </td>
    <td >
<a href="javascript:openGame('$gid','v','b');" >
  <img src="/arimaa/graphics/animals/blank.gif" width=25 height=49 border=0>
</a>
    </td>
  </tr>
</table>
EOM

    if ($w eq $b){ 
      $gameRow = <<EOM;
<tr>
  <td align=right>
    <a href="javascript:playerPage('$w')">$w</a><br><font size=-1>$wr</font>
  </td>
  <td align=center>
    <font size=1>$scheduled</font>$board
  </td>
  <td align=left>bye
  </td>
</tr>
EOM
      $gameRows .= $gameRow;
      push(@gameRows, "$ts $gameRow");
      next;
    }
    $gameRow = <<EOM;
<tr>
  <td align=right>
    <nobr>$wwin <a href="javascript:playerPage('$w')">$w</a><br><font size=-1>$wr</font></nobr>
  </td>
  <td align=center>
    <font size=1>$scheduled</font>$board
  </td>
  <td align=left>
    <nobr><a href="javascript:playerPage('$b')">$b</a> $bwin<br><font size=-1>$br</font></nobr>
  </td>
</tr>
EOM
    $gameRows .= $gameRow;
    if ($ts eq ''){ $ts = '99999999999'; } # this is so that unschedled games are last
    push(@gameRows, "$ts $gameRow");
  }
  close FH;

  @gameRows = sort(@gameRows);
  foreach (@gameRows){
    $_ =~ s/^\d+ //;
  }
  $gameRows = join("\n", @gameRows);

  if ($clickOnBoard){
    $clickOnBoard = <<EOM;
  <tr>
    <td></td>
    <td colspan=2 align=left>
<b>
<font size=-2>
Click on the board<br>to view the game
</font>
</b>
    </td>
  </tr>
EOM
  }

  if ($roundName eq ""){
    $roundName = "Round $r";
  }

  if ($gameTimes){
    $gameTimes = <<EOM;
  <tr>
    <td></td>
    <td colspan=2 align=left>
<font size=-2>
Times are in $gmt
</font>
    </td>
  </tr>
EOM
  }

  $watchGames .= <<EOM;
<td valign=top>
<table border=0>
  <tr><td></td>
    <td colspan=2 align=left>
<b>
$roundName
</b>
    </td>
  </tr>
  <tr>
    <td align=right>
      Gold
    </td>
    <td align=center>
      &nbsp;
    </td>
    <td align=left>
      Silver
    </td>
  </tr>
  $gameRows
  $clickOnBoard
  $gameTimes
</table>
<td>
EOM

  $func = <<EOM;
    <script language="JavaScript1.2">
<!--
function playerPage(u){
    open('/arimaa/gameroom/playerpage.cgi?u='+u,'','toolbar=no,width=650,height=450,scrollbars=yes,directories=no,location=no,menubar=no,personalbar=no,resizable=no');
    void('');
}

function comPage(g){
    open('/arimaa/gameroom/comments.cgi?gid='+g,'','');
    void('');
}

function openGame(id, role, side){
  if (parseInt(id) > 0){
//    open('/arimaa/games/showGame.cgi?gid='+id+'&s='+side,'','toolbar=no,width=350,height=250,scrollbars=no,directories=no,location=no,menubar=no,personalbar=no,resizable=no');
    open('/arimaa/gameroom/comments.cgi?gid='+id,'','');
  }
  else{
    if (parseInt(id) == 0){
      alert("Game was won by forfeit");
    }
    else{
      alert("To watch the game login to the Arimaa gameroom and use 'Current Games'");
    }
  }
  void('');
}

// -->
    </script>
EOM

}


print <<EOM;
<html>
  <head><title>$eventName</title></head>
  <body bgcolor=#d8d8f8>
$func
    <center>
<p><font size=+2><b>$eventName</b></font>
<p>
    <table border=0>
      <tr>
$watchGames
      </tr>
    <table>
    </center>
  </body>
</html>

EOM




